## org.apache.axis.wsdl.symbolTable
Class ElementDecl

    java.lang.Object
      |
      +--org.apache.axis.wsdl.symbolTable.ElementDecl

public class ElementDecl
extends java.lang.Object

Simple utility struct for holding element declarations. This simply correlates a QName to a TypeEntry.

Author:
  Glen Daniels (gdaniels@apache.org), Tom Jordahl (tomj@apache.org)

Constructor Summary
`ElementDecl()`
`ElementDecl(TypeEntry type, QName name)`

Method Summary
`boolean` `getAnyElement()`
`boolean` `getMinOccursIs0()`
`QName` `getName()`
`TypeEntry` `getType()`
`void` `setAnyElement(boolean anyElement)`
`void` `setMinOccursIs0(boolean minOccursIs0)`
`void` `setName(QName name)`
`void` `setType(TypeEntry type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementDecl

    public ElementDecl()

### ElementDecl

    public ElementDecl(TypeEntry type,
                       QName name)

Method Detail

### getType

    public TypeEntry getType()

### setType

    public void setType(TypeEntry type)

### getName

    public QName getName()

### setName

    public void setName(QName name)

### getMinOccursIs0

    public boolean getMinOccursIs0()

### setMinOccursIs0

    public void setMinOccursIs0(boolean minOccursIs0)

### getAnyElement

    public boolean getAnyElement()

### setAnyElement

    public void setAnyElement(boolean anyElement)

Copyright © 2003 Apache Web Services Project. All Rights Reserved.